.minipre {
    padding: 1.5px;
    margin: 0 0 10px;
    font-size: 11px;
    line-height: 1.42857143;
    color: #333;
    word-break: break-all;
    word-wrap: break-word;
    background-color: #f5f5f5;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.main-title {
    height: 40px;
}

.card {
    margin-bottom: 10px;
}

.card-header {
    font-weight: 500;
    line-height: 1.2;
    font-size: 1.2rem;
}

.warning-light {
    background-color: #ffd580;
}

.card-header-feature {
    font-size: 1rem;
    font-weight: 400;
    cursor: pointer;
    color: #000;
}

.tab-pane {
    padding-top: 15px;
}

.modal-big .modal-dialog {
    width: 70%;
    max-width: inherit;
}

.totpcodeinput {
    font-size: 30px;
    width: 160px;
    text-align: center;
    font-weight: bold;
}

.keyvalues.input-group .form-control {
    vertical-align: unset;
    float: none;
    width: 50%;
    min-width: 200px;
}

.sidebar .nav-fourth-level li a {
    padding-left: 67px;
}


@media screen and (min-width: 1024px) {
    .td-buttons a, .td-buttons button  {
        visibility: hidden;
    }
}

tr:hover .td-buttons a, tr:hover .td-buttons button {
    visibility: visible !important;
}

.td-buttons {
    text-align: right;
}

.dt-center {
    text-align: center;
}

.th-narrow {
    width: 80px;
}

.th-medium {
    width: 200px;
}

.th-wide {
    width: 250px;
}

@keyframes pulse {
    50% { background-color: #5cb85c }
}

.pulse {
    animation: pulse .5s ease-out 2;
}

.popover {
    max-width: 100%;
}

.avatar {
    max-width: 75px;
    max-height: 75px;
    border-radius: 50%;
}

.avatar-xs {
    max-width: 25px;
    max-height: 25px;
    border-radius: 50%;
}

.avatar-wrap {
    width: 100px;
    margin-top: 5px;
}

.sidebar-search {
    padding: 15px !important;
}

.login-card {
    margin-top: 25%;
}

@media (min-width: 768px) {
    .modal-xl {
        max-width:80%;
    }
}

/* Responsive, kinda */
.mobile #accept-notifications-button {
    display: none;
}

.mobile #servers-dirty {
    display: none;
}

.mobile .sidebar-search {
    display: none;
}

.dropdown-menu-xl-left {
    width: 100%;
}

/* Very small buttons */
.btn-group-xs > .btn, .btn-xs {
    padding: .25rem .4rem;
    font-size: 0.775rem;
    line-height: 14px;
    border-radius: .2rem;
}

/* Side menu override*/
#sidebar-menu > ul > li > a {
    padding: 8px 5px 8px 10px !important;
}

#sidebar-menu ul ul a {
    padding-left:30px !important;
}

#sidebar-menu ul ul ul a {
    padding-left:50px !important;
}

#sidebar-menu ul ul ul ul a {
    padding-left:70px !important;
}

#sidebar-menu ul li .menu-arrow {
    top: 8px;
}

.main-sidebar {
    width: 300px;
}

.content-page {
    margin-left: 300px;
}

.footer {
    left: 300px;
}

/* Small menu, still */
#main.enlarged .left.main-sidebar #sidebar-menu ul>li:hover .subdrop {
    width:300px;
    color: #fff;
    background-color: #414d58;
}

#main.enlarged .left.main-sidebar #sidebar-menu > ul > li > a {padding: 10px 20px !important;min-height:50px}  /* Padding for smol menu */
#main.enlarged .left.main-sidebar #sidebar-menu ul>li:hover>a{width:300px!important;background-color:#535b63!important}
#main.enlarged .left.main-sidebar #sidebar-menu ul>li:hover>ul{width:300px}
#main.enlarged .left.main-sidebar #sidebar-menu ul>li:hover>ul a{padding-left:30px !important;}
#main.enlarged .left.main-sidebar #sidebar-menu ul>li:hover>ul ul{width:300px}
#main.enlarged .left.main-sidebar #sidebar-menu ul>li:hover>ul ul a{padding-left:30px !important;}
#main.enlarged .left.main-sidebar #sidebar-menu ul>li:hover>ul ul ul{width:300px}
#main.enlarged .left.main-sidebar #sidebar-menu ul>li:hover>ul ul ul a{padding-left:30px !important;}

#main.enlarged .left.main-sidebar #sidebar-menu ul>li.active-search>a{width:300px!important;background-color:#535b63!important}
#main.enlarged .left.main-sidebar #sidebar-menu ul>li.active-search>a{background-color:#64b0f2;position:relative;width:260px}
#main.enlarged .left.main-sidebar #sidebar-menu ul>li.active-search a span:not(.select2-container, .select2-container *){display:inline}
#main.enlarged .left.main-sidebar #sidebar-menu ul>li.active-search>a{position:relative;width:260px;background-color:#535b63;color:#fff}
#main.enlarged .left.main-sidebar #sidebar-menu ul>li.active-search>a i{color:#fff}

/* Override theme to support select2 searchbar in the sidebar */
#main.enlarged .left.main-sidebar #sidebar-menu ul>li .select2-container {display: inline-block !important; padding-left: 0 !important;}
#main.enlarged .left.main-sidebar #sidebar-menu ul>li .select2-container .select2-selection--single {display: block !important;}
#main.enlarged .left.main-sidebar #sidebar-menu ul>li .select2-container .select2-selection--single .select2-selection__rendered {display: block !important; padding-left: 8px !important;}
#main.enlarged .left.main-sidebar #sidebar-menu ul>li .select2-container[dir="rtl"] .select2-selection--single .select2-selection__rendered {padding-left: 20px !important;}
#main.enlarged .left.main-sidebar #sidebar-menu ul>li .select2-container .select2-selection--multiple {display: block !important;}
#main.enlarged .left.main-sidebar #sidebar-menu ul>li .select2-container .select2-selection--multiple .select2-selection__rendered {display: inline-block !important; padding-left: 8px !important;}
#main.enlarged .left.main-sidebar #sidebar-menu ul>li .select2-container .select2-search--inline .select2-search__field {padding-left: 0 !important;}
#main.enlarged .left.main-sidebar #sidebar-menu ul>li .select2-container * {display: inline !important; padding-left: 0 !important;}

/* Preformated */
pre {
    display: block;
    padding: 3.5px;
    margin: 0 0 10px;
    font-size: 13px;
    line-height: 1.42857143;
    color: #333;
    word-break: break-all;
    word-wrap: break-word;
    background-color: #f5f5f5;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.prebox {
    display: inline-block;
}

/* Scrollbar (not on IE or FF) */
::-webkit-scrollbar-thumb{
    background:rgba(34,42,53,1) !important;
}
::-webkit-scrollbar-track{
    background:rgba(27,34,42,1) !important;
}

/* Crispy form help-block override */
.help-block {
    margin-bottom: 0rem !important;
}

/* Navbar text override */
.navbar-custom .nav-link {
    font-size: initial;
}

/* Maintenance */
.headbar-maintenance {
    background: #FFF3CD !important;
}

.headbar-maintenance .logo,
.headbar-maintenance .button-menu-mobile,
.headbar-maintenance .nav-link,
.headbar-maintenance a {
    color: #856404 !important;
}

.headbar-align-left {
    text-align: left !important;
    padding-left: 10px;
}

.headbar-align-left .logo i {
    margin-left: 3px;
}

.profile-dropdown {
    width: 300px;
}

/* Old labels colors for transition */
.label-default{background-color:#777}.label-default[href]:focus,.label-default[href]:hover{background-color:#5e5e5e}.label-primary{background-color:#337ab7}.label-primary[href]:focus,.label-primary[href]:hover{background-color:#286090}.label-success{background-color:#5cb85c}.label-success[href]:focus,.label-success[href]:hover{background-color:#449d44}.label-info{background-color:#5bc0de}.label-info[href]:focus,.label-info[href]:hover{background-color:#31b0d5}.label-warning{background-color:#f0ad4e}.label-warning[href]:focus,.label-warning[href]:hover{background-color:#ec971f}.label-danger{background-color:#d9534f}.label-danger[href]:focus,.label-danger[href]:hover{background-color:#c9302c}

.large-table {
    width: auto;
    overflow-x: scroll;
}

.form-control, .select2-container {
    min-width: 120px;
}

@supports (field-sizing: content) {
    .table-responsive .form-control:not([type='number']) {
        field-sizing: content;
        width: -moz-available !important;
        width: -webkit-fill-available !important;
        width: stretch !important;
    }
}

.form_list .form-group {
    margin-bottom: 0px;
}

.form_list .form-control {
    width: auto;
}

.table-form {
    display: table-cell !important;
}

.keyvalues {
    white-space: nowrap;
}

.keyvalues input {
    display: inline;
    width: auto;
}

.keyvalues.input-group .form-control {
    vertical-align: unset;
    float: none;
}

.keyvalues.input-group {
    flex-wrap: nowrap;
}

div[id$="manual_ip"] {
    width: 460px;
    border: 1px #ddd solid;
    padding-left: 15px;
    margin-top: -77px;
    margin-left: -10px;
    padding-top: 77px;
    background: #f5f5f5;
    padding-right: 15px;
    padding-bottom: 15px;
}

.input-group-prepend, .input-group-prepend:hover, .input-group-prepend:focus {
    background-color: #eee;
}

.row-environment {
    margin-left: 0px;
    margin-right: 0px;
    margin-top: 15px;
}

.row-environment h4 {
    margin-top: 0px;
    margin-bottom: 0px;
}

.row-environment .panel {
    margin-bottom: 0px;
    margin-top: 15px;
}

.row-environment table {
    margin-bottom: 0px;
}

.container-standalone {
    max-width: 90%;
    padding-top: 25px;
}

.narrow-modal.modal-content {
    width: 90%;
}

.narrow-modal.modal-content .modal-body {
    overflow-y: auto;
}

.highstate-details {
    max-width: 500px;
    overflow: auto;
    word-wrap: break-word;
    word-break: break-all;
}

.table-fixed {
    table-layout: fixed;
}

.disabled-key {
    text-decoration: line-through;
}

#stateDetailModal .modal-dialog {
    width: 90%;
    max-width: max-content;
}

.modalstate-dialog {
    max-width: 90%;
}

.modalstate-body {
    overflow-y: auto;
}

.modalstate-detail {
    padding-left: 5px;
}

#extra-help code.code-snippet{
    display: block;
    border: 1px solid #000;
    white-space: nowrap;
    overflow: auto;
    margin: 8px 0 8px;
    padding: 16px;
    background: #ECECEC;
    color: #007ee5;
}

input.proxmox_deploy_manual_ip_field {
    display: inline;
}

.progress {
    width: 100%;
    margin-bottom: 0px;
}

.font-size-body {
    font-size: 0.9rem;
}

.form-control-color {
    display: inline;
    padding: 2px;
    height: 24px;
    width: 24px;
}

.card-header[role=button] {
    cursor: pointer;
}

.content-page-full {
    margin-left: 0px;
}

.footer-full {
    left: 0px;
}

.align-dcim-menu:before {
    /* Rotate icon and translate to vertically align the DCIM icon menu */
    transform: rotate(270deg) translateY(-1px);
    display:block;
}

.sm-btn-dropdown {
    /* Avoid a dropdown forced to be wider than the button  */
    min-width: 1rem;
}

.reduce-lr-padding {
    /* Avoid blank space in a small dropdown menu */
    padding-left: .4rem;
    padding-right: .4rem;
}

.textarea-password {
    color: transparent;
    text-shadow: 0 0 8px rgba(0,0,0,0.5);
}


.new-service-app .vue-feedback {
    display: block;
}

.new-service-app .card-header .form-group, .new-service-app td .form-group {
    margin-bottom: 0px;
}

.new-service-app .card-header .card-header-buttons-new-services {
    margin-top: 8px;
}

.new-service-app input[type="checkbox"] {
    width: auto !important;
}

.new-service-app .col-form-label {
}

.col-sm-12 {
    overflow-x: scroll;
}

.dt-button-collection {
    max-height: 15.5em;
    overflow: auto !important;
}

.dlk-radio input[type="radio"] {
	display:none;
}
.dlk-radio input[type="radio"] + label > .fa {
     opacity:0.25
}
.dlk-radio input[type="radio"]:checked + label > .fa {
    opacity:1
}

.dlk-radio label {
    margin-bottom: 0;
    padding-right: 4px;
    cursor: pointer;
}

.fade-in.htmx-added {
    opacity: 0;
}

.fade-in {
    opacity: 1;
    transition: opacity 0.2s ease-out;
}


.inline-form{
    display: inline;
}

.hx-indicator{
    display: none;
}
.htmx-request .hx-indicator{
    display: inline;
}
.htmx-request.hx-indicator{
    display: inline;
}

td div.scrolling-cell {
    overflow: auto;
    max-height: 6em;
}
